|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDesignerActionEditorInterface Class Reference
[QtDesigner module]

The QDesignerActionEditorInterface class allows you to change the focus of Qt Designer's action editor. More...

     #include <QDesignerActionEditorInterface>

Inherits QWidget.

- List of all members, including inherited members

### Public Functions

- QDesignerActionEditorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )
- virtual ~QDesignerActionEditorInterface ()
- virtual QDesignerFormEditorInterface * core () const
- virtual void manageAction ( QAction * action ) = 0
- virtual void unmanageAction ( QAction * action ) = 0

- 207 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Public Slots

- virtual void setFormWindow ( QDesignerFormWindowInterface * formWindow ) = 0

- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Additional Inherited Members

- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QDesignerActionEditorInterface class allows you to change the focus of Qt Designer's action editor.

The QDesignerActionEditorInterface class is not intended to be instantiated directly. You can retrieve an interface to Qt Designer's action editor using the QDesignerFormEditorInterface::actionEditor() function.

You can control which actions that are available in the action editor's window using the manageAction() and unmanageAction() functions. An action that is managed by Qt Designer is available in the action editor while an unmanaged action is ignored.

QDesignerActionEditorInterface also provides the core() function that you can use to retrieve a pointer to Qt Designer's current QDesignerFormEditorInterface object, and the setFormWindow() function that enables you to change the currently selected form window.

See also QDesignerFormEditorInterface and QDesignerFormWindowInterface.

## Member Function Documentation

### QDesignerActionEditorInterface::QDesignerActionEditorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )

Constructs an action editor interface with the given parent and the specified window flags.

### QDesignerActionEditorInterface::~QDesignerActionEditorInterface () `[virtual]`

Destroys the action editor interface.

### QDesignerFormEditorInterface * QDesignerActionEditorInterface::core () const `[virtual]`

Returns a pointer to Qt Designer's current QDesignerFormEditorInterface object.

### void QDesignerActionEditorInterface::manageAction ( QAction * action ) `[pure virtual]`

Instructs Qt Designer to manage the specified action. An action that is managed by Qt Designer is available in the action editor.

See also unmanageAction().

### void QDesignerActionEditorInterface::setFormWindow ( QDesignerFormWindowInterface * formWindow ) `[pure virtual slot]`

Sets the currently selected form window to formWindow.

### void QDesignerActionEditorInterface::unmanageAction ( QAction * action ) `[pure virtual]`

Instructs Qt Designer to ignore the specified action. An unmanaged action is not available in the action editor.

See also manageAction().